#! make -f
#----------------------------------------------------------------------------
# Project:  NITRO-System - demos
# File:     Makefile
#
# Copyright 2004,2005 Nintendo.  All rights reserved.
#
# These coded instructions, statements, and computer programs contain
# proprietary information of Nintendo of America Inc. and/or Nintendo
# Company Ltd., and are protected by Federal copyright law.  They may
# not be disclosed to third parties or copied or duplicated in any form,
# in whole or in part, without the prior written consent of Nintendo.
#
# $Log: Makefile,v $
# Revision 1.15  04/18/2005 02:48:02  ida
# Removed snd_drv
#
# Revision 1.14  03/08/2005 08:16:35  ida
# Added build of snd_drv to private
#
# Revision 1.13  01/28/2005 02:38:31  nishida
# Revised to build mcs demo
#
# Revision 1.12  12/01/2004 00:48:53  nishida
# Revised to release the gfd demo
#
# Revision 1.11  11/10/2004 08:10:23  nishida
#  Revised so the gfd demo is temporarily confidential
#
# Revision 1.10  10/28/2004 01:43:04  nishida
# Added private demo
#
# Revision 1.9  09/21/2004 10:31:18  kitani_toshikazu
# gfd demo added
#
# Revision 1.8  07/28/2004 00:57:33  kitamurs
# Removed mcs
#
# Revision 1.7  07/21/2004 03:13:41  nishida
# Added g3d Library demo
#
# Revision 1.6  07/10/2004 07:46:28  nishida
# Added g2d demo
#
# Revision 1.5  07/09/2004 01:12:18  kitamurs
# Added mcs
#
# Revision 1.4  06/14/2004 04:31:37  nishida
# Corrected spelling (instructions).
#
# Revision 1.3  03/24/2004 06:53:27  ida
# initial version
#
# Revision 1.2  03/22/2004 09:35:54  kitamurs
# Added fnd to subdirectory.
#
# Revision 1.1  01/27/2004 09:00:23  nishida
# Registered the initial version.
#
# $NoKeywords: $
#----------------------------------------------------------------------------

include	$(NITROSYSTEM_ROOT)/build/buildtools/commondefs


#----------------------------------------------------------------------------

SUBDIRS	= \
		fnd	\
		gfd \
		g2d \
		g3d \
		snd \
		mcs


ifdef NITROSYSTEM_PRIVATE
SUBDIRS += \
		private

endif

#----------------------------------------------------------------------------

include	$(NITROSYSTEM_ROOT)/build/buildtools/modulerules


#===== End of Makefile =====

